Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class ConvertedMap

    java.lang.Object
      org.codehaus.groovy.runtime.ConversionHandler
          org.codehaus.groovy.runtime.ConvertedMap

    public class ConvertedMap
    extends ConversionHandler

This class is a general adapter to adapt a map of closures to any Java interface.

Authors:
  Jochen Theodorou

Constructor Summary
`protected ConvertedMap(Map closures)` to create a ConvertedMap object.

Method Summary
`protected boolean` | `checkMethod(Method method)`
`Object` | `invokeCustom(Object proxy, Method method, Object[] args)`
`static boolean` | `isCoreObjectMethod(Method method)` Checks whether a method is a core method from java.lang.Object.
`String` | `toString()`

Methods inherited from class ConversionHandler
checkMethod, equals, getDelegate, hashCode, invoke, invokeCustom, isCoreObjectMethod, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ConvertedMap

    protected ConvertedMap(Map closures)

  to create a ConvertedMap object.
  Parameters:
    `closures` - the map of closures

Method Detail

### checkMethod

    protected boolean checkMethod(Method method)

### invokeCustom

    public Object invokeCustom(Object proxy, Method method, Object[] args)

### isCoreObjectMethod

    public static boolean isCoreObjectMethod(Method method)

  Checks whether a method is a core method from java.lang.Object. Such methods often receive special treatment because they are deemed fundamental enough to not be tampered with. call toString() is an exception to allow overriding toString() by a closure specified in the map
  Parameters:
    `method` - the method to check
  Returns:
    true if the method is deemed to be a core method

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.